Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152949 - the first page of the printing contents is filtered out when locale filter is configured as zh_CN
Summary: the first page of the printing contents is filtered out when locale filter is...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 09:06 UTC by dhe
Modified: 2014-10-19 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-13 15:12:55 UTC


Attachments (Terms of Use)
files in /etc/cups uploaded (deleted)
2005-03-31 12:12 UTC, dhe
no flags Details
sample file in Simplified Chinese for printing (deleted)
2005-03-31 12:14 UTC, dhe
no flags Details

Description dhe 2005-03-31 09:06:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.4.3) Gecko/20040924

Description of problem:
RHEL 3 U4, kernel 2.4.21-27.EL   cups-1.1.17-13.3.27

printer configuration:   
queue type:  networked jetdirector
printer driver:  postscript
effective locale filter: zh_CN

When printing a Simplified Chinese text file, the first page of the content will be missed. 
When printing a English test file, this problem did not happen.
This bug also applies to Traditional Chinese file printing when LANG and effective locale 
are configured to zh_TW.
 




Version-Release number of selected component (if applicable):
cups-1.1.17-13.3.27 

How reproducible:
Always

Steps to Reproduce:
1.lp -o landscape file-to-be-printed
2.
3.
  

Additional info:

Comment 1 Tim Waugh 2005-03-31 09:13:14 UTC
Please supply the output of 'printconf-tui --Xexport', and a sample file that
exhibits the problem.  Thanks.

Comment 2 dhe 2005-03-31 12:12:41 UTC
Created attachment 112507 [details]
files in /etc/cups  uploaded

Comment 3 dhe 2005-03-31 12:14:18 UTC
Created attachment 112508 [details]
sample file in Simplified Chinese for printing

when log into the X-window, select the Simplified Chinese as the default
Language.

Comment 4 dhe 2005-03-31 12:19:21 UTC
lp test.txt              // content is printed correctly.
lp -o langscape test.txt  // first page of the content is missed.

printconf-tui --Xexport
<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1112234208">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <droid ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_description TYPE="STRING" VALUE=""/>
          <queue_type TYPE="STRING" VALUE="JETDIRECT"/>
          <queue_data TYPE="LIST">
            <jetdirect_ip TYPE="STRING" VALUE="droid"/>
            <jetdirect_port TYPE="STRING" VALUE="9100"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <print_header_page TYPE="BOOL" VALUE="FALSE"/>
            <flags TYPE="LIST">
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
              <send_FF TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <send_EOT TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <filter_locale TYPE="STRING" VALUE="zh_CN"/>
            <printer_id TYPE="STRING" VALUE="Generic-PostScript_Printer"/>
            <gs_driver TYPE="STRING" VALUE="Postscript"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PreFilter"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="Level1"/>
                </option_default>
              <option_default TYPE="LIST">
                <name TYPE="STRING" VALUE="PageSize"/>
                <type TYPE="STRING" VALUE="enum"/>
                <default TYPE="STRING" VALUE="A4"/>
                </option_default>
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          <jobsheets TYPE="LIST">
            <start TYPE="STRING" VALUE="none"/>
            <end TYPE="STRING" VALUE="none"/>
            </jobsheets>
          <margins TYPE="LIST">
            <top TYPE="INT" VALUE="36"/>
            <right TYPE="INT" VALUE="36"/>
            <bottom TYPE="INT" VALUE="36"/>
            <left TYPE="INT" VALUE="36"/>
            </margins>
          <lpoptions TYPE="LIST">
            <cpi TYPE="STRING" VALUE="12"/>
            <lpi TYPE="STRING" VALUE="7"/>
            <page-bottom TYPE="STRING" VALUE="36"/>
            <page-left TYPE="STRING" VALUE="36"/>
            <page-right TYPE="STRING" VALUE="36"/>
            <page-top TYPE="STRING" VALUE="36"/>
            <scaling TYPE="STRING" VALUE="100"/>
            <wrap TYPE="STRING" VALUE="true"/>
            </lpoptions>
          </droid>
        </print_queues>
      </printconf>
    </datatree>
  </adm_context>
 



Note You need to log in before you can comment on or make changes to this bug.